Bug 708566

Summary: [Arrandale] Black screen during/after booting (ACPI, no crash)
Product: [Fedora] Fedora Reporter: fzagarzazu
Component: xorg-x11-drv-intelAssignee: Adam Jackson <ajax>
Status: CLOSED WONTFIX QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: unspecified    
Version: 15CC: ajax, dennis, kahrny, knny.myer, xgl-maint
Target Milestone: ---Keywords: Triaged
Target Release: ---   
Hardware: x86_64   
OS: Linux   
Whiteboard: [cat:modesetting]
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2012-08-07 10:42:27 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Attachments:
Description Flags
dmesg output, default boot options
none
Xorg log, default boot options
none
lspci output
none
Xorg log - Acer Aspire 5732Z
none
lspci output - Acer Aspire 5732Z none

Description fzagarzazu 2011-05-27 23:27:01 EDT
Created attachment 501432 [details]
dmesg output, default boot options

Description of problem:

Black screen during/after boot, unresponsive to the user -as if the display was turned off- yet the system continues loading.

The System: HP Pavilion g6, intel core i3, fresh Fedora Core 15 install, with the latest software updates(may 27 2011).

Note: the same black screen appears during installation with the livecd, I had to add nomodeset to boot it properly, removed it later to use the intel driver instead of vesa.

After searching for a solution it seems to me that the problem could be related to ACPI and the screen brightness, found some workarounds.

1. boot the system with the default options, black screen appears, brightness controls are unresponsive, if you close the lid and reopen it, screen becomes visible and brightness controls function properly.

2. boot with video.brightness_switch_enabled=1 and while the black screen still appears, the brightness controls function properly and you can use them to make the screen visible.

I didn't find a way to make the screen visible without user intervention.


Version-Release number of selected component (if applicable):
Fedora Core 15 - 2.6.38.6-27.fc15.x86_64
HP Pavilion g6, intel Core i3


How reproducible:
Always, boot with default options, unresponsive black screen.

Steps to Reproduce:
1.Boot system with default options
2.
3.
  
Actual results:
Unresponsive black screen

Expected results:
Visible screen

Additional info:

http://forums.fedoraforum.org/showthread.php?t=254166 (the same problem)
Comment 1 fzagarzazu 2011-05-27 23:28:03 EDT
Created attachment 501433 [details]
Xorg log, default boot options
Comment 2 fzagarzazu 2011-05-27 23:28:53 EDT
Created attachment 501434 [details]
lspci output
Comment 3 Kenny Meyer 2011-05-28 15:15:19 EDT
I can reproduce the same problem here on my laptop after installing F15.

Details:

 - Acer Aspire 5732Z
 - Intel Integrated Graphics Chipset

When booting into the older F14 kernels, which are still installed, error is not reproducible. Only when booting into F15 kernel.

My workaround:
I used a flashlight to make parts of my screen visible and login into my session, open a terminal and adjust the screen brightness via a terminal. `sudo setpci -s 00:02.0 F4.B=90`
WARNING: Makes you feel quite stupid.
Comment 4 Kenny Meyer 2011-05-28 15:16:33 EDT
Created attachment 501515 [details]
Xorg log - Acer Aspire 5732Z
Comment 5 Kenny Meyer 2011-05-28 15:18:00 EDT
Created attachment 501517 [details]
lspci output - Acer Aspire 5732Z
Comment 6 Kenny Meyer 2011-06-16 18:46:32 EDT
Any news on this one?
Comment 7 Ricky Hewitt 2012-03-14 12:19:28 EDT
I can confirm this issue still exists. Using kernel 3.2.10, xf86-video-intel 2.18.0-1. 

The only workaround at the moment seems to be using setpci, as Kenny originally mentioned. The values also seem to be reversed (00 is full brightness, FF is off..?)

Even this solution is only a temporary fix -- certain things (e.g. acpi/screen timeout, xbacklight) will all either fail, or switch off the display again, resulting in needing to run the setpci workaround again.
Comment 8 Fedora End Of Life 2012-08-07 10:42:29 EDT
This message is a notice that Fedora 15 is now at end of life. Fedora
has stopped maintaining and issuing updates for Fedora 15. It is
Fedora's policy to close all bug reports from releases that are no
longer maintained. At this time, all open bugs with a Fedora 'version'
of '15' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that
we were unable to fix it before Fedora 15 reached end of life. If you
would still like to see this bug fixed and are able to reproduce it
against a later version of Fedora, you are encouraged to click on
"Clone This Bug" (top right of this page) and open it against that
version of Fedora.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

The process we are following is described here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping